#!/bin/bash
if [ $# != 2 ] ; then 
  echo "Usage: ./COMPX520-DOWNLOADER-PNG-10PAGES-hi-res.sh <filename> <location>" 1>&2
  exit 1
fi

file_name=$1
location=$2
page_num=0
count=0

for id in `cat $file_name` ; do
   for page_num in {1..10}
   do
    	echo "id: $id  page_num: $page_num" 	
    	./COMPX520-RUN-PNG-hi-res.sh $id $page_num $location
    	page_num=$((page_num+1))
    	count=$((count+1))
    	echo "PNG's downloaded:" $count
    	
    done
    echo ""
  sleep 2  
done
